/////////////////////////////////////////////////////////////////////////////////////////
// Jocopod -- Joystick to Control Port Dongle
//            --          --      --   -
//
// (c) 2015-2016, Oliver "lvr" Tscherwitschke
// lvr@bitbang.de
//
// This file is part of the Jocopod Firmware.
//
// The Jocopod Firmware is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// The Jocopod Firmware is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with the Jocopod Firmware. If not, see <http://www.gnu.org/licenses/>.
/////////////////////////////////////////////////////////////////////////////////////////

#ifndef CONFIG_H
#define CONFIG_H

#include "mytypes.h"



// Set to 1 to enable some debug functions (default 0)
#define DEBUG_ENABLE            0

// Median Filter lenght
#define MEDIAN_BUFLEN           5

// Moving Average Filter lenght
#define MA_BUFLEN               64

// Calibrated center must be at least this value from min and max value
#define MIN_CENTER_DISTANCE     64

// In Paddle mode, LED2 is on if PaddleX is in center position +/- this value
#define LED_CENTER_THRESHOLD    3


// Threshold definitions for joystick and wheel modes:
const ThDef thDef[2] = {
    // MODE_JOY_WHEEL (optimized for steering wheel):
    [0] = {
        .xThresh = 0.3, .xHyst = 0.05,
        .yThresh = 0.6, .yHyst = 0.05,
    },

    // MODE_JOY_STICK (universal for joysticks and wheels):
    [1] = {
        .xThresh = 0.5, .xHyst = 0.05,
        .yThresh = 0.5, .yHyst = 0.05,
    },
};


#endif

